boost::geometry::traits::point_order< Ring > Struct Template Reference
traits: adapt geometries

Traits class indicating the order of contained points within a ring or (multi)polygon, clockwise, counter clockwise or not known. More...

List of all members.

## Static Public Attributes

static const order_selector | value = clockwise

## Detailed Description

### template<typename Ring>
struct boost::geometry::traits::point_order< Ring >

Traits class indicating the order of contained points within a ring or (multi)polygon, clockwise, counter clockwise or not known.

Template Parameters:

  Ring | ring

## Member Data Documentation

template<typename Ring >

const order_selector boost::geometry::traits::point_order< Ring >::value = clockwise `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK